fit_spline_xform(1)

NAME
fit_spline_xform - Fit Single B-Spline Transformation to Concatenated Transformation List

SYNOPSIS
fit_spline_xform InputImage XformList

DESCRIPTION
Fit a parametric nonrigid transformation (B-spline free-form deformation) to a list of concatenated, optionally inverted, transformations.

OPTIONS

  Global Toolkit Options (these are shared by all CMTK tools)

--help
    Write list of basic command line options to standard output.

--help-all
    Write complete list of basic and advanced command line options to standard output.

--wiki
    Write list of command line options to standard output in MediaWiki markup.

--man
    Write man page source in 'nroff' markup to standard output.

--version
    Write toolkit version to standard output.

--echo
    Write the current command line to standard output.

--verbose-level <integer>
    Set verbosity level.

--verbose, -v
    Increment verbosity level by 1 (deprecated; supported for backward compatibility).

--threads <integer>
    Set maximum number of parallel threads (for POSIX threads and OpenMP).

  Fitting Options

--levels <integer>
    Number of levels in the multi-level B-spline approximation procedure. [Default: 1]

--fit-affine-first
    Fit affine transformation first, then initialize spline with it.

--final-cp-spacing <double>
    Final control point grid spacing of the output B-spline transformation. [Default: 0]

--final-cp-dims <string>
    Final control point grid dimensions (i.e., number of controlpoints) of the output B-spline transformation. To be provided as 'dimX,dimY,dimZ'. [Default: NONE]

  Input Options

--inversion-tolerance <double>
    Numerical tolerance of B-spline inversion in mm. Smaller values will lead to more accurate inversion, but may increase failure rate. [Default: 1e-08]

  Output Options

--output <transformation-path>, -o <transformation-path>
    Path for the output transformation. [Default: NONE]

AUTHORS
Torsten Rohlfing, with contributions from Michael P. Hasak, Greg Jefferis, Calvin R. Maurer, Daniel B. Russakoff, and Yaroslav Halchenko

LICENSE
http://www.fsf.org/licensing/licenses/gpl.html

BUGS
Report bugs at http://nitrc.org/projects/cmtk/

ACKNOWLEDGMENTS
CMTK is developed with support from the NIAAA under Grant AA021697, National Consortium on Alcohol and Neurodevelopment in Adolescence (N-CANDA): Data Integration Component. From April 2009 through September 2011, CMTK development and maintenance was supported by the NIBIB under Grant EB008381.